// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2022 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   png_reader.h
 * Author: gleseach
 *
 * Created on 21 août 2015, 15:45
 */

#ifndef PNG_READER_H
#define	PNG_READER_H

class Image;

bool readPNG(const char* file_name, int& width, int& height, int& channels, unsigned char*& pixels);

bool readPNG(const char* file_name, Image& img);

#endif	/* PNG_READER_H */

